def lunar_sum(a, b):
    """Вычисляет сумму двух чисел в лунной арифметике."""
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(max(int(a[i]), int(b[i])))
    return result

def lunar_product(a, b):
    """Вычисляет произведение двух чисел в лунной арифметике."""
    a_digits = [int(digit) for digit in a]
    b_digits = [int(digit) for digit in b]
    
    result_len = len(a) + len(b)
    result = [0] * result_len

    for i, digit_a in enumerate(a_digits):
      for j, digit_b in enumerate(b_digits):
        min_val = min(digit_a, digit_b)
        result[i+j] = max(result[i+j], min_val)
        

    result_str = "".join(map(str, result))
    #Убираем ведущие нули
    while result_str.startswith('0') and len(result_str) > 1:
        result_str = result_str[1:]

    return result_str

a = input()
b = input()

sum_result = lunar_sum(a, b)
product_result = lunar_product(a,b)

print(sum_result, product_result)
